Skip to main content
PUT
/
api
/
public
/
tasks
/
{id}
Update an existing task
curl --request PUT \
  --url https://api.vambe.me/api/public/tasks/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "dueDate": "<string>",
  "dueTime": "<string>",
  "timezone": "<string>",
  "responsibleIds": [
    "<string>"
  ],
  "aiContactId": "<string>",
  "aiCustomerId": "<string>",
  "associateToCalendar": false,
  "newStatusPosition": 123,
  "newStatusName": "<string>"
}
'
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
dueDate: '<string>',
dueTime: '<string>',
timezone: '<string>',
responsibleIds: ['<string>'],
aiContactId: '<string>',
aiCustomerId: '<string>',
associateToCalendar: false,
newStatusPosition: 123,
newStatusName: '<string>'
})
};

fetch('https://api.vambe.me/api/public/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.vambe.me/api/public/tasks/{id}"

payload = {
"title": "<string>",
"description": "<string>",
"dueDate": "<string>",
"dueTime": "<string>",
"timezone": "<string>",
"responsibleIds": ["<string>"],
"aiContactId": "<string>",
"aiCustomerId": "<string>",
"associateToCalendar": False,
"newStatusPosition": 123,
"newStatusName": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
{}
{}

Path Parameters

id
string<uuid>
required

The UUID of the task to update

Body

application/json
title
string
Minimum string length: 1
description
string | null
dueDate
string | null
dueTime
string | null
timezone
string | null
responsibleIds
string[]
aiContactId
string | null
aiCustomerId
string | null
priority
enum<string>
Available options:
0,
1,
2
associateToCalendar
boolean
default:false
newStatusPosition
number
newStatusName
string

Response

Task updated successfully

The response is of type object.